{
  pkgs,
  inputs,
  ...
}:
let
  nr = import ./packages/nr.nix { inherit pkgs; };
  nrr = import ./packages/nrr.nix { inherit pkgs; };
in
{
  programs._1password.enable = true;
  programs._1password-gui = {
    enable = true;
    polkitPolicyOwners = [ "imnyang" ];
  };

  environment.etc = {
    "1password/custom_allowed_browsers" = {
      text = ''
        microsoft-edge
        firefox-devedition
      '';
      mode = "0755";
    };
  };

  # 시스템 전역 패키지 (데스크탑/개발용)
  environment.systemPackages = with pkgs; [
    nr
    nrr

    # 네트워크 도구
    networkmanager
    networkmanager-ssh

    # 개발 도구
    gcc
    gnumake

    nil
    nixd

    cockpit
    libvirt
    virt-manager

    mono
    msbuild

    docker
    docker-buildx
    docker-compose
    docker-client
    uv
    python3

    openssl
    pkg-config

    mtr
    glibc

    gtk3
    pango
    librsvg
    penelope

    ntfs3g

    _1password-cli
    _1password-gui

    inputs.muvel.packages.${pkgs.stdenv.hostPlatform.system}.muvel

    sbctl
  ];
}
